Bug 30408 - API and OpenAPI versions should be string in spec
Summary: API and OpenAPI versions should be string in spec
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on: 30194 30394
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-30 12:05 UTC by Tomás Cohen Arazi
Modified: 2022-04-08 14:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30408: Make API and OpenAPI versions strings in spec (854 bytes, patch)
2022-03-30 12:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30408: Make API and OpenAPI versions strings in spec (919 bytes, patch)
2022-03-30 12:42 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-03-30 12:05:32 UTC
Bug 30194 made use of a script to sort the main swagger file, and versions got translated into integers, incorrectly.
Comment 1 Tomás Cohen Arazi 2022-03-30 12:08:20 UTC
Created attachment 132580 [details] [review]
Bug 30408: Make API and OpenAPI versions strings in spec

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Martin Renvoize 2022-03-30 12:42:51 UTC
Created attachment 132603 [details] [review]
Bug 30408: Make API and OpenAPI versions strings in spec

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-03-30 12:43:30 UTC
Trivial patch, no regressions. PQA
Comment 4 Fridolin Somers 2022-04-05 15:29:27 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄